Bug 222121 - editors/with-editor: Update to 2.6.0
Summary: editors/with-editor: Update to 2.6.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-07 11:18 UTC by Yasuhiro Kimura
Modified: 2017-09-12 01:47 UTC (History)
1 user (show)

See Also:


Attachments
patch file (1.07 KB, patch)
2017-09-07 11:18 UTC, Yasuhiro Kimura
yasu: maintainer-approval+
Details | Diff
updated patch file (1.09 KB, patch)
2017-09-07 16:48 UTC, Yasuhiro Kimura
yasu: maintainer-approval+
Details | Diff
updated patch file (1018 bytes, patch)
2017-09-11 08:32 UTC, Yasuhiro Kimura
yasu: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura freebsd_committer 2017-09-07 11:18:04 UTC
Created attachment 186147 [details]
patch file

* Update to 2.6.0
* Fix portlint warning.
Comment 1 Yasuhiro Kimura freebsd_committer 2017-09-07 16:48:17 UTC
Created attachment 186151 [details]
updated patch file

Remove (BUILD|RUN)_DEPENDS to devel/dash.el because version 2.6.0 doesn't require it.

So please commit attached patch instead of original one.
Comment 2 Yasuhiro Kimura freebsd_committer 2017-09-11 08:32:14 UTC
Created attachment 186247 [details]
updated patch file

Revert portlint warning fix because of the reason described in bug #221971.

So please commit attached patch instead of previous ones.
Comment 3 Kurt Jaeger freebsd_committer 2017-09-11 19:53:53 UTC
testbuilds@work
Comment 4 Kurt Jaeger freebsd_committer 2017-09-12 01:47:16 UTC
Committed, thanks!
Comment 5 Kurt Jaeger freebsd_committer 2017-09-12 01:47:38 UTC
Oh, btw, does upstream provide release notes somewhere ?
Comment 6 commit-hook freebsd_committer 2017-09-12 01:47:40 UTC
A commit references this bug:

Author: pi
Date: Tue Sep 12 01:46:43 UTC 2017
New revision: 449668
URL: https://svnweb.freebsd.org/changeset/ports/449668

Log:
  editors/with-editor: update 2.5.11 -> 2.6.0

  PR:		222121
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org> (maintainer)

Changes:
  head/editors/with-editor/Makefile
  head/editors/with-editor/distinfo